# template-error [![NPM version](https://badge.fury.io/js/template-error.svg)](http://badge.fury.io/js/template-error)

> Make template errors easy to understand and fix.

## Install

Install with [npm](https://www.npmjs.com/)

```sh
$ npm i template-error --save
```

## Usage

```js
var rethrow = require('template-error');

rethrow('\n<%= a %>\n<%= b %>', {
  data: {a: 'aaa'}
});
```

When a template variable is not defined, like `<%= b %>` in the example above, instead of getting a cryptic error message and wasting time on debugging, you get this:

<img width="560" alt="screen shot 2015-08-11 at 3 35 27 am" src="https://cloud.githubusercontent.com/assets/383994/9192549/101ba4b6-3fda-11e5-8a4f-6a03853dacd9.png">

## Related projects

[rethrow](https://www.npmjs.com/package/rethrow): Re-throw an error to get better error reporting for templates. | [homepage](https://github.com/jonschlinkert/rethrow)

## Running tests

Install dev dependencies:

```sh
$ npm i -d && npm test
```

## Contributing

Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](https://github.com/jonschlinkert/template-error/issues/new).

## Author

**Jon Schlinkert**

+ [github/jonschlinkert](https://github.com/jonschlinkert)
+ [twitter/jonschlinkert](http://twitter.com/jonschlinkert)

## License

Copyright © 2015 Jon Schlinkert
Released under the MIT license.

***

_This file was generated by [verb-cli](https://github.com/assemble/verb-cli) on August 21, 2015._
